/*
 * drv_adc.h
 *
 *  Created on: 13 мар. 2025 г.
 *      Author: basov.g
 */

#ifndef DRV_DRV_ADC_H_
#define DRV_DRV_ADC_H_

#include "stdint.h"

void drv_adc_init(void);
void drv_adc_update(void);

int drv_adc_getVoltage5V(void);
int drv_adc_getBatteryVoltage(void);
int drv_adc_getBatteryVoltageInternal(void);
int drv_adc_getVref(void);
int drv_adc_getTemp(void);

#endif /* DRV_DRV_ADC_H_ */
